==================== 2.23.2 ====================

2008-05-16  Jens Granseuer  <jensgr@gmx.net>

	* gnome-network-preferences.c: (get_hostname_from_uri),
	(extract_proxy_host), (main): drop gnome-vfs dependency (part of bug
	#524401)

2008-04-06  Denis Washington  <denisw@svn.gnome.org>

	* gnome-network-preferences.glade: rename "Advanced Configuration" tab
	to "Ignored Hosts" as that describes it's content better (bug #314883)

2008-02-05  Jens Granseuer  <jensgr@gmx.net>

	* gnome-network-preferences.glade: don't mark padding strings as
	translatable (bug #514598)

2007-12-11  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* icons/48x48:
	* icons/48x48/gnome-network-preferences.png: add 48x48 PNG icon version
	by Andreas Nilsson <nisses.mail@home.se> (bug #503035)

2007-07-24  Denis Washington  <denisw@svn.gnome.org>

	* gnome-network-preferences.c: also use new icon in the window titlebar.

2007-06-29  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-network-preferences.c: (cb_http_details_button_clicked):
	* gnome-network-preferences.desktop.in.in:
	* icons/16x16/gnome-network-preferences.png:
	* icons/16x16/gnome-network-preferences.svg:
	* icons/22x22/gnome-network-preferences.png:
	* icons/22x22/gnome-network-preferences.svg:
	* icons/24x24/gnome-network-preferences.png:
	* icons/32x32/gnome-network-preferences.png:
	* icons/32x32/gnome-network-preferences.svg:
	* icons/scalable/gnome-network-preferences.svg: add and use new
	icon by Josef Vybíral <cornelius@vybiral.info> (closes bug #399051)

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-network-preferences.desktop.in.in: renamed Bugzilla product.

2007-01-31  Jens Granseuer  <jensgr@gmx.net>

	* gnome-network-preferences.c: (cb_remove_url),
	(cb_dialog_response), (cb_use_same_proxy_checkbutton_clicked),
	(main): plug memory leaks (fixes bug #395609)

2007-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-network-preferences.c: (create_listmodel):
	Sparse warning fix.

2007-01-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-network-preferences.glade: added missing mnemonic.

2007-01-06  Diego Escalante <diego@aureal.com.pe>

	Fixes #317097

	* gnome-network-preferences.c:
	* gnome-network-preferences.glade: added 'Use same proxy for all
	protocols' option.

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-network-preferences.c: (cb_add_url):
	Fix a warning about unused result from g_slist_append().

2006-08-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.glade:
	set "label for" and "labelled by" properties for the capplet,
	patch by Willie Walker <william.walker@sun.com> (Closes: #342121)

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.desktop.in.in: don't list the Application
	category, patch by Vincent Fretin <vincent.fretin@gmail.com>
	(Closes: #344321)

2006-01-27  Crispin Flowerday  <gnome@flowerday.cx>

	* gnome-network-preferences.glade: Use 'r' as a mnemoic rather
	than 'i' (bug #328884)

2005-07-16  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.glade: fixed a mnemonic conflict (#155953).

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.glade: Use HIG compliant spacing
	for the proxy dialog, patch by dennis_cranston@yahoo.com
	(Closes: #167856).

2005-05-16  Olav Vitters <olav@bkor.dhs.org>

	* gnome-network-preferences.glade:
	Make proxy settings HIG compliant. Patch by Jorn Baayen.

	Fixes bug #167856

2005-02-04  Shakti Sen  <shprasad@novell.com>

	* gnome-network-preferences.c (cb_add_url, cb_remove_url):
	Adding/Removing the host name instantly to/from gconf.

	Fixes bug #166233

2005-01-11  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.c: (create_listmodel),
	(populate_listmodel), (config_treeview), (cb_add_url),
	(cb_remove_url), (cb_dialog_response), (setup_dialog):
	* gnome-network-preferences.glade:
	patch from Adriano Del Vigna <adriano.delvigna@freedows.com> to add
	a proxy exclusion list configuration (Closes: #147666).

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.glade:
	patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
	from Andrew Johnson <acjgenius@earthlink.net>)
	to not set "close" as the default button (Closes: #98202).

2004-12-15  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.desktop.in.in: changed the tooltip
	to respect the HIG.

2004-12-03  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.glade: use "Preferences" for the window
	title (like the other capplets) instead of "Configuration",
	bug noticed by Lars Weber <me@lars.in-berlin.de> (Closes: #132391).

2004-11-21  Sebastien Bacher  <seb128@debian.org>

	* gnome-network-preferences.c: (cb_http_details_button_clicked):
	use the stock_proxy icon for the capplet (Closes: #130624).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications

	* gnome-network-preferences.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-06-26  Muktha <muktha.narayan@wipro.com>

	* gnome-network-preferences.glade: Allow only numeric values in
	spin buttons. Fixes #138654.

2004-06-21  David Sedeño <david@alderia.com>

	* gnome-network-preferences.glade: Change mnemonic for Username.
	Fixes bug #144333

2004-05-18  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-network-preferences.glade: Mark accessible names for
	translation. Fixes bug #136291.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-07  Jody Goldberg <jody@gnome.org>

	* gnome-network-preferences.c : sync the icon with the desktop file

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-05  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-network-preferences.glade: Add accessible names for port
	entry fields. Fixes more of bug #126714.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-network-preferences.c: (cb_dialog_response),
	(cb_details_dialog_response): Update help link to point to
	user-guide.xml

2004-01-16  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-network-preferences.glade: Move some declarations so that
	AtkRelations are defined. Fixes bug #126714.

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Tue Aug 26 15:00:34 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-network-preferences.c (setup_dialog): Work around peditor
	bug that resets the port when we start up for the first time,
	#120111

2003-07-18  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-network-capplet.png:  New file.

	* Makefile.am, gnome-network-preferences.c:  Add the missing
	window icon.

2003-07-18  Christian Neumair  <chris@gnome-de.org>

	* gnome-network-preferences.glade: Some more padding fixes.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-network-preferences.glade:  Minor HIG widget padding
	adjustments.  Fix a mnemonic conflict.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-15  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* gnome-network-preferences.desktop.in: Use Header
	capitalisation for menu items. Fixes bug #112939.

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-02-05 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* gnome-network-preferences.c: Added "/system/proxy" and
	"/system/http_proxy" to the list of directories GConfClient
	will watch. Fixes #98596

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* gnome-network-preferences.desktop.in: Fix the desktop file so
	that it validates.

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-network-preferences.glade:

	Fix alignment.

2002-07-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=85929
	* gnome-network-preferences.c (extract_proxy_host) : validate.
	  This is not the prettiest way to do this, but it is effective.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * gnome-network-preferences.c : Changed the help file link
          to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* gnome-network-preferences.c (cb_dialog_response) : Improve handling
	  of help failures.

Sun May 26 11:45:26 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-network-preferences.c (main): use APPID instead of argv[0]

2002-05-15  Mark McLoughlin <mark@skynet.ie>

	* gnome-network-preferences.c (setup_dialog): kill workaround
	libglade bug that has since been fixed.

2002-05-08  Jody Goldberg <jody@gnome.org>

	* gnome-network-preferences.glade : add help.

	* gnome-network-preferences.c (cb_dialog_response) : fix help.

